GET /v1/prices
Operation ID: GetPrices
Auth: unknown
Description
<p>Returns a list of your prices.</p>
Parameters (11)
(boolean, query, optional)
Only return prices that are active or inactive (e.g., pass `false` to list all inactive prices).
(?, query, optional)
A filter on the list, based on the object `created` field. The value can be a string with an integer Unix timestamp, or it can be a dictionary with a number of different query options.
(string, query, optional)
Only return prices for the given currency.
(string, query, optional)
A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.
Constraints: {'maxLength': 5000}
(array, query, optional)
Specifies which fields in the response should be expanded.
(integer, query, optional)
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
(array, query, optional)
Only return the price with these lookup_keys, if any exist.
(string, query, optional)
Only return prices for the given product.
Constraints: {'maxLength': 5000}
(object, query, optional)
Only return prices with these recurring fields.
(string, query, optional)
A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.
Constraints: {'maxLength': 5000}
(string, query, optional)
Only return prices of type `recurring` or `one_time`.
Constraints: {'enum': ['one_time', 'recurring']}
No probe data for this endpoint yet.